%define subrel 1

Name:		musique
Version:	1.5
Release:	%mkrel 1
Summary:	Lightweight music player
Group:		Sound/Players
License:	GPLv3+
URL:		http://flavio.tordini.org/musique
Source0:	http://flavio.tordini.org/files/musique/%{name}-%{version}.tar.gz
Patch0:		musique-1.5-use-system-qtsingleapplication.patch
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	qtsingleapplication-qt5-devel
Requires:	phonon-backend
Requires:	qt5-database-plugin-sqlite
Requires:	phonon4qt5-gstreamer

%description
Musique is a lightweight and versatile music player.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%qmake_qt5 PREFIX=%{_prefix} USE_SYSTEM_QTSINGLEAPPLICATION=1
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/locale
%{_datadir}/%{name}/locale/*


%changelog
* Thu Oct 26 2017 mjack <mjack> 1.5-1.1.mga6
+ Revision: 1173880
- Adding Requires: phonon4qt5-gstreamer; Addressing bug (mga#20988)

* Wed Jan 04 2017 daviddavid <daviddavid> 1.5-1.mga6
+ Revision: 1080089
- add mga patch to use system qtsingleapplication
- split out all Qt5 BRs
- fix ownership on data dir

  + vaci0 <vaci0>
    -Update to new version 1.5
    -Add BR phonon4qt5-devel
    -Build for QT5

* Tue Feb 09 2016 umeabot <umeabot> 1.4-2.mga6
+ Revision: 952013
- Mageia 6 Mass Rebuild

* Sun Dec 21 2014 vaci0 <vaci0> 1.4-1.mga5
+ Revision: 804715
-Update new version 1.4

* Wed Oct 15 2014 umeabot <umeabot> 1.3-3.mga5
+ Revision: 750418
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-2.mga5
+ Revision: 682705
- Mageia 5 Mass Rebuild

* Sat Feb 22 2014 akien <akien> 1.3-1.mga5
+ Revision: 595697
- New version 1.3

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-2.mga5
+ Revision: 525290
- Mageia 4 Mass Rebuild

* Thu May 30 2013 dams <dams> 1.2.1-1.mga4
+ Revision: 432938
- new version 1.2.1

* Sat Jan 12 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 360524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 1.2-1.mga3
+ Revision: 324556
- spec clean-up
- new version 1.2
- update RPM group

* Sun Feb 26 2012 fwang <fwang> 1.1-3.mga2
+ Revision: 215129
- drop invalid req on phonon4

* Tue Feb 14 2012 juancho <juancho> 1.1-2.mga2
+ Revision: 208621
- Bump release because new tarball had the same name as previous version so it wasn't uploaded when running mgarepo sync. This commit uploads correct sources.

* Tue Feb 14 2012 juancho <juancho> 1.1-1.mga2
+ Revision: 208611
- Updated to 1.1

* Fri Feb 10 2012 juancho <juancho> 1.0-1.mga2
+ Revision: 207075
- Removed unneeded BR gcc-c++
- Removed compile flags from %%make macro

  + vaci0 <vaci0>
    - imported package musique

